import {ElasticSearch} from './index';

const elastic =  new ElasticSearch({elasticUrl:'http://3.66.252.148:9200/',index:'my-index'});
// const elastic =  new ElasticSearch();

//takes 2 arguments -  field name to search, field value - required. more 2 arguments - limit and offset are optional
// elastic.searchByField('name','avi',1,0)
async function run(){
    let res   = await elastic.search({name:'מקרר'},0,1)
    console.log(res);
}
run();

//takes 1 argument -  search obj - required. more 2 arguments - limit and offset are optional

//takes 1 argument -  elastic id
// elastic.getByElasticId('D0ubcnkBf9VPGpJ4_Crj')

//takes 1 argument -  object to add to the index
// elastic.addItem({name:'tttt',age:30});

//takes 1 argument =  array of objects to add
// elastic.addMultipleItems([{name:'rrrr',age:10},{name:'eeee',age:11}])

//takes 1 arguement -  elasticsearch ID
// elastic.deleteByElasticId('8Uv2cXkBf9VPGpJ4Nym1') 

//takes 2 arguements -  field to search, value - it delete everything that match the query
// elastic.deleteByField('isPending',false)

//takes 1 argument -  delete obj
// elastic.deleteByMultipleFields({name:'rrrr'})

//takes 2 argument -  arrat of fields, value to search - required. more 2 arguments - limit and offset are optional
// elastic.searchByOneOfMultiFields(['name','id'],'avi',1,1)

//takes 1 argument -  obj to update
//IMPORTANT - the obj must contain id field
// elastic.updateItem({name:'shani',age:'33',id:'NdBCg3kBDdZal4ixGLDU'})

// elastic.addItem({name:'moti',age:31,id:'shalom'});
// elastic.addItem({name:'shlomo',age:35,id:'momo'});
// elastic.addItem({name:'yossi',age:53,id:'lulu'});
// elastic.addItem({name:'dani',age:16,id:'lola'});
// elastic.addItem({name:'avi',age:444,id:'jhjhjhjhjhj'});
// elastic.addItem({name:'avi',age:444,id:'1111111111'});
// elastic.addItem({name:'avi',age:777,id:'alex'});

